id: transit-points
source: spirit-local
source-layer: transit-points
type: symbol
layout:
  icon-image:
    - match
    - [get, mode]
    - bus
    - - case
      - - get
        - station
      - bus_station
      - bus_stop
    - tram
    - bus_stop
    - subway
    - subway
    - train
    - train
    - airplane
    - airport
    - wetland
  icon-allow-overlap: true
  text-optional: true
  text-field: '{name}'
  text-font: !!inc/file style/inc/regular-font.yaml
  text-size: 12
  text-offset: [0, 0.4]
  text-anchor: top
paint:
  text-color: '#003c77'
  text-halo-width: 1
  text-halo-color: white
